## ide-source-map ide-source-map |

## Functions

#define | IDE_TYPE_SOURCE_MAP

## Signals

void | hide-map | Action
void | show-map | Action

## Types and Values

| IdeSourceMap

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkTextView
                        ╰── GtkSourceView
                            ╰── GtkSourceMap
                                ╰── IdeSourceMap

## Implemented Interfaces

IdeSourceMap implements AtkImplementorIface, GtkBuildable and GtkScrollable.

## Description

## Functions

### IDE_TYPE_SOURCE_MAP

    #define IDE_TYPE_SOURCE_MAP            (ide_source_map_get_type())

## Types and Values

### IdeSourceMap

    typedef struct _IdeSourceMap IdeSourceMap;

## Signal Details

### The `“hide-map”` signal

    void
    user_function (IdeSourceMap *idesourcemap,
                   gpointer      user_data)

Flags: Action

### The `“show-map”` signal

    void
    user_function (IdeSourceMap *idesourcemap,
                   gpointer      user_data)

Flags: Action